Read Reddit campaign
curl --request GET \
--url https://api.sigmora.org/v1/reddit-campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/reddit-campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/reddit-campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"campaign": {
"id": "<string>",
"name": "<string>",
"status": "active",
"connectedAccountId": "<string>",
"objective": "<string>",
"keywords": [
"<string>"
],
"targetSubreddits": [
{}
],
"caps": {
"maxPostsPerDay": 1,
"maxCommentsPerDay": 5,
"maxActionsPerDay": 6,
"promoRatioPct": 10,
"perSubPostsPerDay": 1
},
"autoReplyOurPosts": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"agentId": "<string>",
"brandBrainId": "<string>",
"offerUrl": "<string>",
"smartLinkId": "<string>",
"negativeKeywords": [
"<string>"
],
"accountReadiness": {},
"activity": {},
"weeklyPlan": {},
"metrics": {},
"marketingCampaignId": "<string>",
"marketingLibraryVersion": "<string>",
"marketingManifest": {}
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Read Reddit campaign
Read one Reddit campaign, including targets, readiness, and metrics.
GET
/
v1
/
reddit-campaigns
/
{campaignId}
Read Reddit campaign
curl --request GET \
--url https://api.sigmora.org/v1/reddit-campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/reddit-campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/reddit-campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"campaign": {
"id": "<string>",
"name": "<string>",
"status": "active",
"connectedAccountId": "<string>",
"objective": "<string>",
"keywords": [
"<string>"
],
"targetSubreddits": [
{}
],
"caps": {
"maxPostsPerDay": 1,
"maxCommentsPerDay": 5,
"maxActionsPerDay": 6,
"promoRatioPct": 10,
"perSubPostsPerDay": 1
},
"autoReplyOurPosts": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"agentId": "<string>",
"brandBrainId": "<string>",
"offerUrl": "<string>",
"smartLinkId": "<string>",
"negativeKeywords": [
"<string>"
],
"accountReadiness": {},
"activity": {},
"weeklyPlan": {},
"metrics": {},
"marketingCampaignId": "<string>",
"marketingLibraryVersion": "<string>",
"marketingManifest": {}
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
A workspace API key.
Path Parameters
A Reddit campaign id, from GET /v1/reddit-campaigns.
Required string length:
1 - 200Example:
"rcm_9e14"